package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/11
 */
public class CourseScheduleQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门编号")
    private String organIdList;

    @ApiModelProperty(value = "上课日期")
    private Date date;

    @ApiModelProperty(value = "乐团编号")
    private String musicGroupId;

    @ApiModelProperty(value = "班级编号")
    private Long classGroupId;

    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @ApiModelProperty(value = "是否只查询历史数据")
    private Integer onlyHistory;

    @ApiModelProperty(value = "课程类型")
    private String type;

    @ApiModelProperty(value = "课程编号")
    private Integer courseScheduleId;

    @ApiModelProperty(value = "是否获取班级所有课程（不限制老师）")
    private boolean findTotal = false;

    public boolean getFindTotal() {
        return findTotal;
    }

    public void setFindTotal(boolean findTotal) {
        this.findTotal = findTotal;
    }

    public Integer getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Integer courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getOnlyHistory() {
        return onlyHistory;
    }

    public void setOnlyHistory(Integer onlyHistory) {
        this.onlyHistory = onlyHistory;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Long classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getOrganIdList() {
        return organIdList;
    }

    public void setOrganIdList(String organIdList) {
        this.organIdList = organIdList;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }
}
